BLKCALC(1)

NAME
blkcalc - Converts between unallocated disk unit numbers and regular disk unit numbers.

SYNOPSIS
blkcalc [-dsu unit_addr] [-vV] [-i imgtype] [-o imgoffset] [-f fstype] image [images]

DESCRIPTION
blkcalc creates a disk unit number mapping between two images, one normal and another that only contains the unallocated units of the first (the default behavior of the blkls(1) program). One of the -d, -s, or -u options must be given. If the -d option is given, then the unit_addr value is the disk unit address in the regular image (i.e. from dd ). If the unit is unallocated, its address in an unallocated image is given. If the -u option is given, then the unit_addr value is the disk unit address in the unallocated unit image (i.e. from blkls(1) ). Its disk unit address in the original image is determined. If the -s option is given, then the unit_addr value is the disk unit address in the slack image (i.e. from blkls -s). The image is the full, original image (i.e. from dd). blkcalc was called dcalc in TSK versions prior to 3.0.0.

-f fstype
    Identify the File System type of the image. Use '-f list' to list the supported file system types. If not given, autodetection methods are used.

-i imgtype
    Identify the type of image file, such as raw or split. Use '-i list' to list the supported types. If not given, autodetection methods are used.

-o imgoffset
    The sector offset where the file system starts in the image. Non-512 byte sectors can be specified using '@' (32@2048)

-v  Verbose output to STDERR.

-V  Display version.

This is useful when keyword searching an image generated by blkls. This allows one to identify the original unit address and provides better documentation.

EXAMPLE
# blkcalc -u 64 images/wd0e

SEE ALSO
blkls(1),

AUTHOR
Brian Carrier <carrier at sleuthkit dot org> Send documentation updates to <doc-updates at sleuthkit dot org>